VERSION 5.00
Begin VB.Form FrmIO 
   Caption         =   "IO configuration"
   ClientHeight    =   2355
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   2355
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CheckBox chkRST 
      Caption         =   "Clear unit on startup (send a *RST and a *CLS)"
      Height          =   255
      Left            =   480
      TabIndex        =   4
      Top             =   960
      Value           =   1  'Checked
      Width           =   3855
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Cancel"
      Height          =   615
      Left            =   2640
      TabIndex        =   3
      Top             =   1440
      Width           =   1695
   End
   Begin VB.CommandButton CmdSetIO 
      Caption         =   "Set"
      Height          =   615
      Left            =   360
      TabIndex        =   2
      Top             =   1440
      Width           =   1695
   End
   Begin VB.TextBox IOtxt 
      Height          =   285
      Left            =   360
      TabIndex        =   1
      Text            =   "GPIB0::5::INSTR"
      Top             =   480
      Width           =   4095
   End
   Begin VB.Label Label1 
      Caption         =   "Enter VISA initialization string here:"
      Height          =   375
      Left            =   360
      TabIndex        =   0
      Top             =   240
      Width           =   2775
   End
End
Attribute VB_Name = "FrmIO"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
''   Agilent Technologies, Inc. 2010
''
'' You have a royalty-free right to use, modify, reproduce and distribute
'' the Sample Application Files (and/or any modified version) in any way
'' you find useful, provided that you agree that Agilent Technologies has no
'' warranty,  obligations or liability for any Sample Application Files.
''
'' Agilent Technologies provides programming examples for illustration only,
'' This sample program assumes that you are familiar with the programming
'' language being demonstrated and the tools used to create and debug
'' procedures. Agilent Technologies support engineers can help explain the
'' functionality of Agilent Technologies software components and associated
'' commands, but they will not modify these samples to provide added
'' functionality or construct procedures to meet your specific needs.
'' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
    Option Explicit



Private Sub cmdCancel_Click()
    End
End Sub

Private Sub CmdSetIO_Click()
' Establish communication and determine which form to load
    Dim ioaddress As String
    Dim passfail As Boolean
    Dim i As Integer
           
    ioaddress = IOtxt.Text
    If chkRST.Value = 1 Then
        passfail = set_io(ioaddress, inst, 0)
    Else
        passfail = set_io(ioaddress, inst, 1)
    End If
    If passfail = False Then Exit Sub
    FrmIO.Visible = False
    frmDigi.Visible = True
End Sub
